#ifndef script_analyzer_H
#define script_analyzer_H

#include <QString>
#include <QPair>


class ScriptAnalyzer {
public:
	static QSet<QString> getUsedPlugins(const QString & full_script);
	static void removeStrings(QString & full_script);
	static void removeComments(QString & full_script);
	static QList<QPair<int, int>> findRanges(const QString & full_script, const QString & start_str, const QString & end_str = QString());
	static void removeRanges(QString & full_script, const QList<QPair<int, int>>  & ranges);

private:
	
};

#endif
